kylin-update-frontend (2.0.0.0-ok21) nile; urgency=medium

  * 更新翻译 

 -- shenyafeng <shenyafeng@kylinos.cn>  Thu, 27 Jun 2024 10:36:11 +0800

kylin-update-frontend (2.0.0.0-ok20) nile; urgency=medium

  * 回滚前显示提示弹窗

 -- shenyafeng <shenyafeng@kylinos.cn>  Sat, 25 May 2024 17:05:26 +0800

kylin-update-frontend (2.0.0.0-ok19) nile; urgency=medium

  * 更新维文翻译

 -- Kevin Duan <shenyafeng@kylinos.cn>  Wed, 28 Feb 2024 10:59:06 +0800

kylin-update-frontend (2.0.0.0-ok18) nile; urgency=medium

  * 修改回退界面问题;修改更新进度显示问题 

 -- shenyafeng <shenyafeng@kylinos.cn>  Wed, 28 Feb 2024 10:59:06 +0800

kylin-update-frontend (2.0.0.0-ok17) nile; urgency=medium

  * 处理空字符串问题

 -- hechengyuan <hechengyuan@kylinos.cn>  Tue, 30 Jan 2024 10:35:05 +0800

kylin-update-frontend (2.0.0.0-ok16) nile; urgency=medium

  * 修改更新图标安装位置 

 -- shenyafeng <shenyafeng@kylinos.cn>  Tue, 30 Jan 2024 10:17:10 +0800

kylin-update-frontend (2.0.0.0-ok15) nile; urgency=medium

  * 修改元信息解析格式 

 -- shenyafeng <shenyafeng@kylinos.cn>  Fri, 26 Jan 2024 13:54:56 +0800

kylin-update-frontend (2.0.0.0-ok14) nile; urgency=medium

  * 205061 【wlcom】【控制面板】【更新】更新历史关闭按钮无悬浮框

 -- hechengyuan <hechengyuan@kylinos.cn>  Wed, 10 Jan 2024 16:07:17 +0800

kylin-update-frontend (2.0.0.0-ok13) nile; urgency=medium

  * 版本openKylin整改与日志内容获取

 -- hechengyuan <hechengyuan@kylinos.cn>  Tue, 19 Dec 2023 18:53:42 +0800

kylin-update-frontend (2.0.0.0-ok12) nile; urgency=medium

  * 版本openKylin整改

 -- hechengyuan <hechengyuan@kylinos.cn>  Tue, 19 Dec 2023 18:35:38 +0800

kylin-update-frontend (2.0.0.0-ok11) nile; urgency=medium

  * 版本显示

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 18 Dec 2023 18:46:37 +0800

kylin-update-frontend (2.0.0.0-ok10) nile; urgency=medium

  * 不可变与可变钧去除

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 18 Dec 2023 15:47:26 +0800

kylin-update-frontend (2.0.0.0-ok9) nile; urgency=medium

  * 去除V10标识

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 18 Dec 2023 14:58:13 +0800

kylin-update-frontend (2.0.0.0-ok8) nile; urgency=medium

  * remove plymouth dependency

 -- hechengyuan <hechengyuan@kylinos.cn>  Thu, 14 Dec 2023 20:26:10 +0800

kylin-update-frontend (2.0.0.0-ok7) nile; urgency=medium

  * 重复定义

 -- hechengyuan <hechengyuan@kylinos.cn>  Thu, 14 Dec 2023 09:52:42 +0800

kylin-update-frontend (2.0.0.0-ok6) nile; urgency=medium

  * mainloop1

 -- hechengyuan <hechengyuan@kylinos.cn>  Thu, 14 Dec 2023 09:31:46 +0800

kylin-update-frontend (2.0.0.0-ok5) nile; urgency=medium

  * h文件去除定义

 -- hechengyuan <hechengyuan@kylinos.cn>  Thu, 14 Dec 2023 09:21:39 +0800

kylin-update-frontend (2.0.0.0-ok4) nile; urgency=medium

  * 编包错误

 -- hechengyuan <hechengyuan@kylinos.cn>  Thu, 14 Dec 2023 09:12:39 +0800

kylin-update-frontend (2.0.0.0-ok3) nile; urgency=medium

  * 按键失效问题修复

 -- hechengyuan <hechengyuan@kylinos.cn>  Wed, 13 Dec 2023 17:36:27 +0800

kylin-update-frontend (2.0.0.0-ok2) nile; urgency=medium

  * add sdk and remove multiple definition

 -- hechengyuan <hechengyuan@kylinos.cn>  Wed, 13 Dec 2023 17:12:15 +0800

kylin-update-frontend (2.0.0.0-ok1) nile; urgency=medium

  * remove patch

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 11 Dec 2023 14:30:38 +0800

kylin-update-frontend (2.0.0.0-ok0) nile; urgency=medium

  * new initial frontend

 -- hechengyuan <hechengyuan@kylinos.cn>  Fri, 01 Dec 2023 14:22:18 +0800

kylin-update-frontend (1.0.2.21-ok9) yangtze; urgency=medium
  
  * 【RISC-V】【visionfive2】translation and search

 -- hechengyuan <hechengyuan@kylinos.cn>  Wed, 24 May 2023 16:58:21 +0800

kylin-update-frontend (1.0.2.21-ok8) yangtze; urgency=medium
  
  * translations

 -- hechengyuan <hechengyuan@kylinos.cn>  Wed, 24 May 2023 16:58:21 +0800

kylin-update-frontend (1.0.2.21-ok7) yangtze; urgency=medium

  * Update changelog

 -- Kevin Duan <duankaiwen@kylinos.cn>  Wed, 24 May 2023 16:58:21 +0800

kylin-update-frontend (1.0.2.21-ok6) yangtze; urgency=medium

  * fix build error

 -- Kevin Duan <duankaiwen@kylinos.cn>  Wed, 24 May 2023 15:58:41 +0800

kylin-update-frontend (1.0.2.21-ok5) yangtze; urgency=medium
  
  * fix duo titile bar

 -- hechengyuan <hechengyuan@kylinos.cn>  Tue, 01 Nov 2022 15:33:38 +0800

kylin-update-frontend (1.0.2.21-ok4) yangtze; urgency=medium

  * update changelog 

 -- shenyafeng <shenyafeng@kylinos.cn>  Tue, 01 Nov 2022 15:33:38 +0800

kylin-update-frontend (1.0.2.21-ok3) yangtze; urgency=medium

  * mv libupgrade.so from V2.0 to ../ 

 -- shenyafeng <shenyafeng@kylinos.cn>  Tue, 25 Oct 2022 16:47:34 +0800

kylin-update-frontend (1.0.2.21-ok2) yangtze; urgency=medium

  * 更新文字

 -- Kevin Duan <duankaiwen@kylinos.cn>  Tue, 25 Oct 2022 16:10:00 +0800

kylin-update-frontend (1.0.2.21-ok1) yangtze; urgency=medium

  * Update

 -- Kevin Duan <duankaiwen@kylinos.cn>  Tue, 25 Oct 2022 15:57:12 +0800

kylin-update-frontend (1.0.2.21) v101; urgency=medium
  
  * BUG:
    bug#143416【设计】【控制面板】更新界面布局未按统一规范
    bug#142381【设计】【控制面板】更新-历史更新界面实现与设计不符
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 19 Sep 2022 17:55:15 +0800
kylin-update-frontend (1.0.2.20) v101; urgency=medium
  
  * BUG:
    bug#141189:【在线更新】更新后点击右上角弹窗中的按钮重启系统未生效
    bug#140334:【2203自适应升级2209】升级成功后点立即重启不生效
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 19 Sep 2022 17:55:15 +0800
kylin-update-frontend (1.0.2.19) v101; urgency=medium
  
  * BUG:
    bug#139979:【在线更新】更新详情窗口与背景色融为一体
    bug#139977:【在线更新】每个更新包详情显示的内容一致
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 19 Sep 2022 17:55:15 +0800
kylin-update-frontend (1.0.2.18) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:修改安装后脚本
  * 其他改动影响域:控制面板

 -- shenyafeng <shenyafeng@kylinos.cn>  Mon, 19 Sep 2022 17:55:15 +0800
kylin-update-frontend (1.0.2.17) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:修改插件安装位置
  * 其他改动影响域:控制面板

 -- shenyafeng <shenyafeng@kylinos.cn>  Sat, 17 Sep 2022 17:28:40 +0800
kylin-update-frontend (1.0.2.16) v101;urgency=medium

  * BUG:
    bug#134174【设计】更新界面布局与设计不相符
    bug#131104【在线更新】无备份还原分区时，点全部更新，卡在计算系统空间大小。
    bug#129680【更新升级】备份还原分区不足时提示更新失败
    bug#129676【更新升级】低电量模式下提示与设计稿不一致
    bug#129671【更新升级】依赖冲突弹窗与设计稿不一致
    bug#127349【更新升级】磁盘空间不足时更新仅在更新历史中有磁盘不足信息，无弹窗提示
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Wed, 24 Aug 2022 16:49:28 +0800
kylin-update-frontend (1.0.2.15) v101;urgency=medium
  
  * BUG:
    bug#135909【更新升级】系统更新详情显示错误
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无
 -- hechengyuan <hechengyuan@kylinos.cn>  Wed, 24 Aug 2022 16:49:28 +0800
kylin-update-frontend (1.0.2.14) v101;urgency=medium
  
  * BUG:
    bug#126807【更新】更新界面包名显示不全
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无
 -- hechengyuan <hechengyuan@kylinos.cn>  Wed, 24 Aug 2022 16:49:28 +0800
kylin-update-frontend (1.0.2.13) v101;urgency=medium
  
  * BUG:
    bug#137188【2203自适应升级2209】点击全部更新-直接更新，显示“检测到系统有更新的应用”，需要再点击一次“全部更新”，系统才显示正在安装更新
    bug#137055【2203自适应升级2209】系统更新的过程中，进度条没有适配最大化
    bug#126807【更新】更新界面包名显示不全
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无
 -- hechengyuan <hechengyuan@kylinos.cn>  Wed, 24 Aug 2022 16:49:28 +0800
kylin-update-frontend (1.0.2.12) v101;urgency=medium
  
  * BUG:
    bug#135152【2203自适应升级2209】系统更新成功通知为英文
    bug#127323【控制面板】【主题设置】【需求12731】切换强调色，控制面板-更新中按钮组件未跟随变化(必现)
    bug#122743【在线更新】更新时存在依赖问题，从详情页面点击“拒绝”和“接受”，界面均显示“本次更新取消”
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Wed, 24 Aug 2022 16:49:28 +0800
kylin-update-frontend (1.0.2.11) v101;urgency=medium
  
  * BUG:
    bug#135839 【系统更新客户端】更新历史中，搜索无法匹配版本号关键词 
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Wed, 24 Aug 2022 16:49:28 +0800
kylin-update-frontend (1.0.2.10) v101;urgency=medium
  
  * BUG:
    bug#122743【在线更新】更新时存在依赖问题，从详情页面点击“拒绝”和“接受”，界面均显示“本次更新取消”
    bug#116349【HWE-base1】【通知】更新成功的通知仍使用的控制面板关键字
    bug#134497【在线更新】打开设置-更新，自动更新按钮默认是“打开”状态
    bug#132111【设计】更新界面switch控件未跟随主题强调色变化
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Fri, 15 Jul 2022 16:46:13 +0800
kylin-update-frontend (1.0.2.9) v101;urgency=medium
  
  * BUG:
    bug#125187【mips】【系统更新】控制面板全部更新成功后控制面板闪退
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Fri, 15 Jul 2022 16:46:13 +0800
kylin-update-frontend (1.0.2.8) v101;urgency=medium
  
  * BUG:
    bug#103475【系统更新】控制面板不全屏显示，存在可用更新时，更新按钮显示不全
    bug#110387【更新升级】 【系统更新】更新缺依赖的包，取消全盘更新时更新按钮未释放，重开控制面板恢复
    bug#121861【在线更新】更新失败的提示和更新成功的提示未左对齐
    bug#125518【云桌面】【更新】没有软件更新时，提示系统已是最新版本v10sp1-2203
    bug#129656【系统更新】开关控制面板更新中的自动更新按钮，配置文件中autoUpgradeState状态都为off
    bug#127345【更新升级】更新成功与更新失败未对齐
    bug#126926【更新升级】藏语模式下，多个位置未适配
    bug#124430【在线更新】控制面板-更新中“自动下载和安装更新”按钮未与配置文件进行联动
    bug#97915【控制面板|更新】点击单个更新后，取消更新按钮未上下对齐
  * 需求号:无
  * 其他改动说明:处理了优先升级从2203升2209后配置文件存在冲突的问题
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Fri, 15 Jul 2022 16:46:13 +0800
kylin-update-frontend (1.0.2.7) v101;urgency=medium
  
  * BUG:
    bug#110387【更新升级】 【系统更新】更新缺依赖的包，取消全盘更新时更新按钮未释放，重开控制面板恢复
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Fri, 15 Jul 2022 16:46:13 +0800
kylin-update-frontend (1.0.2.6) v101;urgency=medium
  
  * BUG:
    bug#121889【在线更新】解决依赖问题弹窗和设计稿不一致
    bug#130954【系统更新】系统更新包名未汉化且图标缺失
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Fri, 15 Jul 2022 16:46:13 +0800
kylin-update-frontend (1.0.2.5) v101;urgency=medium
  
  * BUG:
    bug#129624【系统更新】【X86】控制面板点全部更新，计算完成之后闪退
    bug#126979【在线更新】点击全部更新-直接更新/备份并更新，在更新过程中控制面板闪退
    bug#126909【更新升级】更新过程中关闭设置，再次打开设置，安装完成后设置闪退
    bug#126704【更新升级】全盘更新失败，设置闪退
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Fri, 15 Jul 2022 16:46:13 +0800
kylin-update-frontend (1.0.2.4) v101;urgency=medium

  * BUG:
    bug#122478【在线更新】磁盘空间不足时更新，只提示更新失败，没有弹出磁盘空间不足的弹窗
  * 需求号:无
  * 其他改动说明:libukui-common接口的替换
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Fri, 15 Jul 2022 16:46:13 +0800
kylin-update-frontend (1.0.1.3) v101;urgency=medium
  
  * BUG:
    bug#97992【控制面板|更新】下载完成包后更新，显示0B/0B，建议改为下载完成
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 13 Jun 2022 11:29:13 +0800
kylin-update-frontend (1.0.1.2) v101;urgency=medium
  
  * BUG:
    bug#125187【系统更新】控制面板全部更新成功后控制面板闪退
    bug#124617【在线更新】自动下载完成后，会自动备份，成功后则自动安装更新，当前提示语跟自动下载安装更新逻辑不一致
    bug#121088【在线更新】下载更新时未显示下载的包的名和大小，以及下载速度
    bug#121007【在线更新】提示备份窗口的按钮顺序和文案跟设计稿不一致
    bug#105106【更新升级】【重启提示】多次安装卸载需要重启的包后，不再弹窗提示用户重启
    bug#94792【更新升级-需求-9002】【系统更新】下载完成，点击取消按钮，会提示取消失败仍进行安装，建议此时直接屏蔽取消按钮
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 13 Jun 2022 11:29:13 +0800
kylin-update-frontend (1.0.1.1) v101;urgency=medium
  
  * BUG: 
    bug#122478:【在线更新】磁盘空间不足时更新，只提示更新失败，没有弹出磁盘空间不足的弹窗
    bug#122404:【在线更新】低电量提示窗何设计稿不一致
    bug#122399:【在线更新】无备份还原分区的提示弹窗和设计稿不一致
    bug#121889:【在线更新】解决依赖问题弹窗和设计稿不一致
    bug#121094:【在线更新】软件包详情窗口布局和设计稿不符
    bug#121088:【在线更新】下载更新时未显示下载的包的名和大小，以及下载速度
    bug#121017:【在线更新】提示备份窗口的按钮顺序和文案跟设计稿不一致
    bug#120929:【在线更新】界面显示的是上次更新时间，应改成检查时间
    bug#122747: 【在线更新】包详情中，版本后面显示的包大小
    bug#121920:【在线更新】 依赖冲突时，点击接受卸载冲突包后，更新按钮全部置灰
    bug#121099: 【在线更新】选中包详情中的包大小，关闭窗口再打开后仍是被选中状态
    bug#121090: 【在线更新】打开更新包详情，点击其他位置，详情窗口未关闭
    bug#120936: 【在线更新】下载限速后方有单位
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Mon, 13 Jun 2022 11:29:13 +0800
kylin-update-frontend (1.0.1.0) v101;urgency=medium
  
  * BUG: 无
  * 需求号: 
    story#12720:【更新升级】升级环境检测
    story#12724:【更新升级】更新升级客户端界面优化
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Tue, 12 Apr 2022 11:02:23 +0800
kylin-update-frontend (1.0.0.40kord) v101;urgency=medium
  
  * BUG: 无
  * 需求号: 无
  * 其他改动说明:initial version
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Tue, 12 Apr 2022 11:02:23 +0800
kylin-update-frontend (1.0.0.38kord) v101;urgency=medium
  
  * BUG: 无
  * 需求号: 无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Tue, 12 Apr 2022 11:02:23 +0800
kylin-update-frontend (1.0.0.25kord) v101;urgency=medium
  
  * BUG: 无
  * 需求号: 无
  * 其他改动说明:完成翻译+依赖流程的弹窗
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Tue, 12 Apr 2022 11:02:23 +0800
kylin-update-frontend (1.0.0.24kord) v101;urgency=medium
  
  * BUG: 无
  * 需求号: 无
  * 其他改动说明:UI修改
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Tue, 12 Apr 2022 11:02:23 +0800
kylin-update-frontend (1.0.0.22kord) v101;urgency=medium
  
  * BUG: 无
  * 需求号: 无
  * 其他改动说明:加入接口，获取是否是mavis项目
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Tue, 12 Apr 2022 11:02:23 +0800
kylin-update-frontend (1.0.0.7kord) v101;urgency=medium
  
  * BUG: 无
  * 需求号: 无
  * 其他改动说明:根据sdk的要求，重新编包上传，翻译
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Tue, 12 Apr 2022 11:02:23 +0800
kylin-update-frontend (1.0.0.3kord) v101;urgency=medium
  
  * BUG: 无
  * 需求号: 无
  * 其他改动说明:加入新功能和sdk依赖
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Tue, 12 Apr 2022 11:02:23 +0800
kylin-update-frontend (1.0.0.0kord) v101;urgency=medium
  
  * BUG: 无
  * 需求号: 无
  * 其他改动说明:修复单个更新只能下载的问题，加入翻译
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Tue, 12 Apr 2022 11:02:23 +0800
kylin-update-frontend (1.0-1.9) v101;urgency=medium
  
  * BUG: 无
  * 需求号: 无
  * 其他改动说明:修复单个更新只能下载的问题
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Tue, 12 Apr 2022 11:02:23 +0800

kylin-update-frontend (1.0-1.7) v101;urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明:initial commit
  * 其他改动影响域:无

 -- hechengyuan <hechengyuan@kylinos.cn>  Tue, 12 Apr 2022 11:02:23 +0800
